Subject: Re: [net-next PATCH 13/15] eth: fbnic: add basic Rx handling

From: Jakub Kicinski <[email-masked]>
Date: Mon, 15 Apr 2024 17:24:21 -0700

On Mon, 15 Apr 2024 16:57:54 -0700 Alexander Duyck wrote:
> > The testing may be tricky. We could possibly test with hacking up the
> > driver to use compound pages (say always allocate 16k) and making sure
> > we don't refer to PAGE_SIZE directly in the test.
> >
> > BTW I have a spreadsheet of "promises", I'd be fine if we set a
> > deadline for FBNIC to gain support for PAGE_SIZE != 4k and Kconfig
> > to x86-only for now..  
> 
> Why set a deadline? It doesn't make sense to add as a feature for now.

Okay, maybe I'm trying to be too nice. Please have all the feedback
addressed in v2.